Bug 879132 - create external checkpoint sometimes will crash libvirtd
create external checkpoint sometimes will crash libvirtd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
: TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-22 01:45 EST by Huang Wenlong
Modified: 2013-10-20 17:45 EDT (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:27:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libvirtd log (16.88 KB, application/x-xz)
2012-11-22 01:45 EST, Huang Wenlong
no flags Details

  None (edit)
Description Huang Wenlong 2012-11-22 01:45:14 EST
Created attachment 649544 [details]
libvirtd log

Description of problem:
create external checkpoint sometimes will crash libvirtd

Version-Release number of selected component (if applicable):
libvirt-0.10.2-9.el6.x86_64

How reproducible:
1/10

Steps to Reproduce:


1. start a domain name v9 with qcow2 img
# virsh list
Id Name State
----------------------------------------------------
1 guest running
12 v9 running


2.#for i in `seq 10 100` ;do virsh snapshot-create-as v9 v$i
--diskspec=hda --memspec=/tmp/v2 ;virsh snapshot-delete v9 v$i;done
Domain snapshot v10 created
Domain snapshot v10 deleted

Domain snapshot v11 created
Domain snapshot v11 deleted
....

3.libvirtd crash with error:

error: End of file while reading data: Input/output error
error: Failed to reconnect to the hypervisor

error: Failed to reconnect to the hypervisor


Actual results:
as steps

Expected results:
libvirtd do not crash

Additional info:
attach the libvirtd log
Comment 2 Peter Krempa 2012-11-22 05:23:17 EST
Hm, the output looks strange. Deletion of external snapshots isn't supported yet:

The output of upstream version looks like:
Domain snapshot v79 created
error: Failed to delete snapshot v79
error: unsupported configuration: deletion of 1 external disk snapshots not supported yet

RHEL is missing upstream commit:

commit 30f1bccf332c93aa646c6d5a69f1287a5d170983
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Oct 19 11:55:36 2012 +0200

    snapshot: qemu: Fix detection of external snapshots when deleting
    
    This patch adds a helper to determine if snapshots are external and uses
    the helper to fix detection of those in snapshot deletion code.
    
    Snapshots are external if they have an external memory image or if the
    disk locations are external. As mixed snapshots are forbidden for now
    we need to check just one disk to know.

This patch is backported as part of fix for https://bugzilla.redhat.com/show_bug.cgi?id=876817.

I will investigate further what's causing the crash but the problem cannot be reproduced on the upstream version and should not be reproducible after a build containing bz876817 is available.
Comment 5 Peter Krempa 2012-12-06 13:51:00 EST
As deletion of external checkpoints isn't yet supported by libvirt and the support was now properly disabled ( https://bugzilla.redhat.com/show_bug.cgi?id=876816 ) I'm setting this as test-only (to test if creation of snapshots in a loop is working okay) and moving to ON_QA.
Comment 6 Huang Wenlong 2012-12-06 22:13:55 EST
Verify this bug :
libvirt-0.10.2-11.el6.x86_64

can not delete external checkpoints snapshot see bug :
https://bugzilla.redhat.com/show_bug.cgi?id=876816


#for i in `seq 10 100` ;do virsh snapshot-create-as v9 v$i
--diskspec=hda --memspec=/tmp/v2 ;virsh snapshot-delete v9 v$i;done

Domain snapshot v10 created
error: Failed to delete snapshot v10
error: unsupported configuration: deletion of 1 external disk snapshots not supported yet

Domain snapshot v11 created
error: Failed to delete snapshot v11
error: unsupported configuration: deletion of 1 external disk snapshots not supported yet
...
Domain snapshot v100 created
error: Failed to delete snapshot v100
error: unsupported configuration: deletion of 1 external disk snapshots not supported yet

#
# service libvirtd status
libvirtd (pid  7765) is running...
Comment 9 errata-xmlrpc 2013-02-21 02:27:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.